/***************************************************************************
 *   Copyright (C) 2007 by Julien Keller   *
 *   j.keller@imperial.ac.uk   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "MMatrix.h"
#include <stdio.h>
#include <plot.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <sstream>
#include <fstream>
#include <sys/mman.h>
#include <time.h>
#include <iomanip>


MMatrix <double> M;
int size;
double inz1;
double inz2;  //initial point
double inv1;
double inv2;  //initial velocity
double Q1;
double Q2; //angular momenta
double del; //step length
double Num; //Number of steps
int choice_output;  // what is the output chosed ?
int zoom=1;
int speed;
clock_t start_time, cur_time;
void skipline(ifstream &);

void   eval(double,double,double,double,double,double,double&,double&,double&,double&,double&,double&,double&,double&);
            
int init_plotsession(char *display_type, char *bitmap_size);

int end_plotsession(int handle);
